Package com.avaya.clientservices.provider.media

## Class MediaConfiguration

- java.lang.Object
- - com.avaya.clientservices.provider.media.MediaConfiguration

-     public class MediaConfiguration
      extends java.lang.Object

  The MediaConfiguration class contains the configuration data related to Media(audio, video).

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MediaConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `VoIPConfigurationAudio` | `getVoIPConfigurationAudio()` |
    `VoIPConfigurationVideo` | `getVoIPConfigurationVideo()` |
    `void` | `setVoIPConfigurationAudio​(VoIPConfigurationAudio audioConfig)` | Sets the Audio Configuration data to be used by the Media Engine.
    `void` | `setVoIPConfigurationVideo​(VoIPConfigurationVideo videoConfig)` | Sets the Video Configuration data to be used by the Media Engine.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MediaConfiguration

          public MediaConfiguration()

  - ### Method Detail

    - #### getVoIPConfigurationAudio

          public VoIPConfigurationAudio getVoIPConfigurationAudio()

      Returns:
        the Audio Configuration that is used by Media Engine.

    - #### setVoIPConfigurationAudio

          public void setVoIPConfigurationAudio​(VoIPConfigurationAudio audioConfig)

      Sets the Audio Configuration data to be used by the Media Engine.
      Parameters:
        `audioConfig` - the Audio Configuration data to be used by the Media Engine.

    - #### getVoIPConfigurationVideo

          public VoIPConfigurationVideo getVoIPConfigurationVideo()

      Returns:
        the Video Configuration that is used by Media Engine.

    - #### setVoIPConfigurationVideo

          public void setVoIPConfigurationVideo​(VoIPConfigurationVideo videoConfig)

      Sets the Video Configuration data to be used by the Media Engine.
      Parameters:
        `videoConfig` - the Video Configuration data to be used by the Media Engine.